> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Hủy lệnh

> Hủy lệnh hiện có.



## OpenAPI

````yaml /vi/openapi/ssi.2026-08-21.openapi.yaml delete /api/v3/trading/order
openapi: 3.1.2
info:
  title: SSI FastConnect Open API
  version: 3.0.0
servers:
  - url: https://api.ssi.com.vn
    description: Production
security:
  - SsiBearerAuth: []
tags:
  - name: authentication
    description: Xác thực và quản lý token.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản giao dịch.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu thị trường.
    x-group: Dữ liệu thị trường
  - name: trading
    description: Giao dịch và quản lý lệnh.
    x-group: Giao dịch
  - name: conditional-orders
    description: Lệnh điều kiện.
    x-group: Lệnh điều kiện
paths:
  /api/v3/trading/order:
    delete:
      tags:
        - trading
      summary: Hủy lệnh
      description: Hủy lệnh hiện có.
      operationId: cancelOrder
      parameters:
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/UserAgent'
        - $ref: '#/components/parameters/AcceptLanguage'
        - $ref: '#/components/parameters/XSignature'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelOrderRequest'
      responses:
        '200':
          description: Thành công.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - SsiBearerAuth: []
components:
  parameters:
    ContentType:
      name: Content-Type
      in: header
      required: true
      description: Định dạng nội dung request body. Chủ yếu là application/json.
      schema:
        type: string
        default: application/json
    UserAgent:
      name: User-Agent
      in: header
      required: false
      description: Thông tin client gửi request.
      schema:
        type: string
    AcceptLanguage:
      name: Accept-Language
      in: header
      required: false
      description: >-
        Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc
        định là en
      schema:
        type: string
        default: en
    XSignature:
      name: X-Signature
      in: header
      required: true
      description: >-
        Chữ ký RSA + SHA256 để xác thực tính toàn vẹn của request. Input bao gồm
        SecretKey + JSON body.
      schema:
        type: string
        example: sha256=abc123...
  schemas:
    CancelOrderRequest:
      type: object
      required:
        - accountNo
        - deviceId
      properties:
        clientCancelId:
          description: >-
            Định danh hủy lệnh do client tạo ra, dùng để đối chiếu trong các
            phản hồi sau này. Trường này không bắt buộc nhưng nếu có thì nên đảm
            bảo tính duy nhất để tránh nhầm lẫn khi xử lý phản hồi. Khi để trống
            thì hệ thống sẽ tự sinh định danh hủy lệnh cho khách hàng và trả về
            response & streaming.
          type:
            - string
            - 'null'
        clientRequestId:
          description: >-
            Định danh lệnh gốc do client tạo ra khi đặt lệnh. Khi để trống thì
            hệ thống sẽ không đối chiếu dựa trên định danh lệnh gốc mà sẽ dựa
            vào `orderId` để xác định lệnh cần hủy.
          type:
            - string
            - 'null'
        orderId:
          description: >-
            Định danh lệnh gốc sinh ra bởi hệ thống SSI. Đây là một trong hai
            trường (cùng với `clientRequestId`) được sử dụng để xác định lệnh
            cần hủy. Nếu cả hai trường đều có giá trị, hệ thống sẽ ưu tiên đối
            chiếu dựa trên `clientRequestId`. Nếu chỉ có `orderId` có giá trị
            thì hệ thống sẽ đối chiếu dựa trên `orderId`. Nếu cả hai trường đều
            không có giá trị thì yêu cầu hủy lệnh sẽ bị từ chối do thiếu thông
            tin xác định lệnh cần hủy.
          type:
            - string
            - 'null'
        accountNo:
          description: Số tài khoản giao dịch.
          type: string
        deviceId:
          description: >-
            Định danh thiết bị thực hiện gửi yêu cầu hủy lệnh. Thông thường dùng
            MAC address hoặc IMEI của thiết bị.
          type: string
        userAgent:
          description: Thông tin về trình duyệt hoặc ứng dụng gửi yêu cầu hủy lệnh.
          type:
            - string
            - 'null'
        ipAddress:
          description: Địa chỉ IP của thiết bị gửi yêu cầu hủy lệnh.
          type:
            - string
            - 'null'
    OrderResponse:
      type: object
      properties:
        clientRequestId:
          description: Định danh yêu cầu do client tạo.
          type: string
        orderId:
          description: Định danh lệnh do SSI tạo.
          type: string
        orderStatus:
          description: Trạng thái lệnh.
          type: string
        clientModifyId:
          description: Định danh yêu cầu sửa lệnh do client tạo.
          type: string
        clientCancelId:
          description: Định danh yêu cầu hủy lệnh do client tạo.
          type: string
    ErrorResponse:
      type: object
      properties:
        code:
          description: Mã kết quả hoặc mã xác thực giao dịch.
          type: string
        msg:
          description: Thông báo kết quả xử lý.
          type: string
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Chưa được xác thực hoặc token không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalError:
      description: Lỗi nội bộ máy chủ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    SsiBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Access token lấy từ endpoint /api/v3/auth/token hoặc
        /api/v3/auth/refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.